StartupEvents.modifyCreativeTab('ironfurnaces:ironfurnaces_tab', event => {
	event.add('ironfurnaces:allthemodium_furnace')
	event.add('ironfurnaces:vibranium_furnace')
	event.add('ironfurnaces:unobtainium_furnace')
	event.add('ironfurnaces:upgrade_allthemodium')
	event.add('ironfurnaces:upgrade_vibranium')
	event.add('ironfurnaces:upgrade_unobtainium')
})

StartupEvents.registry('item', event => {
	event.create("incomplete_improved_mechanism").displayName("Incomplete Improved Mechanism")
	event.create("improved_mechanism").displayName("Improved Mechanism")
	event.create("incomplete_advanced_mechanism").displayName("Incomplete Advanced Mechanism")
	event.create("advanced_mechanism").displayName("Advanced Mechanism")
	event.create("incomplete_ultimate_mechanism").displayName("Incomplete Ultimate Mechanism")
	event.create("ultimate_mechanism").displayName("Ultimate Mechanism")
	event.create('mars_shard').displayName('Mars Shard')
	event.create('moon_shard').displayName('Moon Shard')
	event.create('venus_shard').displayName('Venus Shard')
	event.create('universe_shard').displayName('Universe Shard')
	event.create('magical_artifact').displayName('Magical Artifact')
	event.create('black_hole').displayName('Black Hole')
	event.create('eternal_fuel').burnTime(2147483647).displayName('Eternal Fuel')
	event.create('map_of_secrets').displayName('Map Of Secrets')
	event.create('magical_stew').displayName('Magical Stew').food(food => {
		food
			.nutrition(400)
			.saturation(1)
			.alwaysEdible()
	})

})
